clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

clang::tidy::ClangTidyCheckFactories Member List

This is the complete list of members for clang::tidy::ClangTidyCheckFactories, including all inherited members.

begin() const | clang::tidy::ClangTidyCheckFactories | inline
CheckFactory typedef | clang::tidy::ClangTidyCheckFactories |
createChecks(ClangTidyContext *Context, std::vector< std::unique_ptr< ClangTidyCheck >> &Checks) | clang::tidy::ClangTidyCheckFactories |
empty() const | clang::tidy::ClangTidyCheckFactories | inline
end() const | clang::tidy::ClangTidyCheckFactories | inline
FactoryMap typedef | clang::tidy::ClangTidyCheckFactories |
registerCheck(StringRef CheckName) | clang::tidy::ClangTidyCheckFactories | inline
registerCheckFactory(StringRef Name, CheckFactory Factory) | clang::tidy::ClangTidyCheckFactories |